Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport.ThreadCategoryInfo

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

    public static class GroovyCategorySupport.ThreadCategoryInfo
    extends HashMap

Method Summary
`CategoryMethodList` | `getCategoryMethods(String name)`
`Object` | `use(List categoryClasses, Closure closure)`

Methods inherited from class HashMap
get, put, values, clone, clear, size, isEmpty, entrySet, putAll, remove, keySet, containsValue, containsKey, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractMap
get, put, equals, toString, values, hashCode, clear, size, isEmpty, entrySet, putAll, remove, keySet, containsValue, containsKey, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getCategoryMethods

    public CategoryMethodList getCategoryMethods(String name)

### use

    public Object use(List categoryClasses, Closure closure)

Copyright © 2003-2010 The Codehaus. All rights reserved.